libzypp 17.37.10

keyringwf.h File Reference
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::keyring
namespace | zyppng
namespace | KeyRingWorkflow
namespace | zyppng::KeyRingWorkflow

## Functions
| zypp::DEFINE_PTR_TYPE (KeyRing)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
bool | zyppng::KeyRingWorkflow::provideAndImportKeyFromRepository (SyncContextRef ctx, std::string id_r, zypp::RepoInfo info_r)
| Try to find the id in key cache or repository specified in info.
AsyncOpRef< bool > | zyppng::KeyRingWorkflow::provideAndImportKeyFromRepository (ContextRef ctx, std::string id_r, zypp::RepoInfo info_r)
std::pair< bool, zypp::keyring::VerifyFileContext > | zyppng::KeyRingWorkflow::verifyFileSignature (SyncContextRef zyppContext, zypp::keyring::VerifyFileContext &&context_r)
| Follows a signature verification interacting with the user.
AsyncOpRef< std::pair< bool, zypp::keyring::VerifyFileContext > > | zyppng::KeyRingWorkflow::verifyFileSignature (ContextRef zyppContext, zypp::keyring::VerifyFileContext &&context_r)
std::pair< bool, zypp::keyring::VerifyFileContext > | zyppng::KeyRingWorkflow::verifyFileSignature (SyncContextRef zyppContext, zypp::KeyRing_Ptr keyRing, zypp::keyring::VerifyFileContext &&context_r)
AsyncOpRef< std::pair< bool, zypp::keyring::VerifyFileContext > > | zyppng::KeyRingWorkflow::verifyFileSignature (ContextRef zyppContext, zypp::KeyRing_Ptr keyRing, zypp::keyring::VerifyFileContext &&context_r)